> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cockroachlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# SHOW EXTERNAL CONNECTION

You can use external connections to specify and interact with resources that are external from CockroachDB. When creating an external connection, you define a name for an external connection while passing the provider URI and query parameters. `SHOW EXTERNAL CONNECTION` displays the connection name, URI, and the type of connection.

You can also use the following SQL statements to work with external connections:

* [`CREATE EXTERNAL CONNECTION`](/docs/stable/create-external-connection)
* [`SHOW CREATE EXTERNAL CONNECTION`](/docs/stable/show-create-external-connection)
* [`DROP EXTERNAL CONNECTION`](/docs/stable/drop-external-connection)

## Required privileges

Users with the [`admin` role](/docs/stable/security-reference/authorization#admin-role) can view all external connections with `SHOW EXTERNAL CONNECTION`.

Without the `admin` role, users can view the external connections that they own. Users own external connections that they have created with `CREATE EXTERNAL CONNECTION`.

## Synopsis

![show\_external\_connections syntax diagram](https://mintcdn.com/cockroachlabs/UZNSFbmU2EwEm6G5/images/sql-diagrams/common/show_external_connections.svg?fit=max\&auto=format\&n=UZNSFbmU2EwEm6G5\&q=85\&s=8ca2d6dbd7daf7caf0d59f118a10b200)

### Parameters

`string_or_placeholder` is the name of the created external connection.

## Responses

| Response | Description |
| - | - |
| `connection_name` | The user-specified name of the external connection. |
| `connection_uri` | The [storage/sink](/docs/stable/create-external-connection.md#supported-external-storage-and-sinks) URI that the external connection references. |
| `connection_type` | Possible values are: <ul><li>`STORAGE` applies to [storage for backups and imports](/docs/stable/use-cloud-storage.md) and [changefeed sinks](/docs/stable/changefeed-sinks.md).</li><li>`KMS` applies to [storage for encrypted backups](/docs/stable/take-and-restore-encrypted-backups.md).</li><li>`FOREIGNDATA` applies to [`postgres://` connections for physical cluster replication](/docs/stable/set-up-physical-cluster-replication#connection-reference).</li></ul>. |

.

## Examples

### Show all external connections in the cluster

```sql theme={"theme":{"light":"catppuccin-mocha","dark":"catppuccin-mocha"}}
SHOW EXTERNAL CONNECTIONS;
```

```
  connection_name |                                                                                                                                    connection_uri                                                                                                                                     | connection_type
------------------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+------------------
  msk             | kafka://boot-vzq1qitx.c1.kafka-serverless.us-east-1.amazonaws.com:9098/?sasl_aws_iam_role_arn={ARN}&sasl_aws_iam_session_name={session name}t&sasl_aws_region=us-east-1&sasl_enabled=true&sasl_mechanism=AWS_MSK_IAM&tls_enabled=true                                                 | STORAGE
  s3_bucket       | s3://bucket name?AWS_ACCESS_KEY_ID={access key}&AWS_SECRET_ACCESS_KEY=redacted                                                                                                                                                                                                        | STORAGE
```

### Show an external connection

```sql theme={"theme":{"light":"catppuccin-mocha","dark":"catppuccin-mocha"}}
SHOW EXTERNAL CONNECTION s3_bucket;
```

```
  connection_name |                                       connection_uri                                       | connection_type
------------------+--------------------------------------------------------------------------------------------+------------------
  s3_bucket       | s3://bucket name?AWS_ACCESS_KEY_ID={access key}&AWS_SECRET_ACCESS_KEY=redacted             | STORAGE
(1 row)
```

## See also

* [Changefeed Sinks](/docs/stable/changefeed-sinks.md)
* [Use Cloud Storage](/docs/stable/use-cloud-storage.md)
